Package org.apache.velocity.runtime.directive

# Class ForeachScope

java.lang.Object
java.util.AbstractMap<Object,Object>
org.apache.velocity.runtime.directive.Scope
org.apache.velocity.runtime.directive.ForeachScope

All Implemented Interfaces:
  `Map<Object,Object>`

public class ForeachScope extends Scope
This represents scoping and metadata for #foreach, adding index, count, hasNext, isFirst and isLast info.

Version:
  $Id$
Author:
  Nathan Bubna

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.velocity.runtime.directive.Scope

`Scope.Info`

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`hasNext`
`protected int`
`index`

### Fields inherited from class org.apache.velocity.runtime.directive.Scope

`owner`

## Constructor Summary

Constructors
Constructor
Description
`ForeachScope(Object owner, Object replaces)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCount()`
`boolean`
`getFirst()`
`boolean`
`getHasNext()`
`int`
`getIndex()`
`boolean`
`getLast()`
`boolean`
`hasNext()`
`boolean`
`isFirst()`
`boolean`
`isLast()`

### Methods inherited from class org.apache.velocity.runtime.directive.Scope

`entrySet, get, getDepth, getInfo, getParent, getReplaced, getTopmost, put, set, stop`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Field Details

### index

protected int index

### hasNext

protected boolean hasNext

## Constructor Details

### ForeachScope

public ForeachScope(Object owner, Object replaces)

## Method Details

### getIndex

public int getIndex()

### getCount

public int getCount()

### hasNext

public boolean hasNext()

### getHasNext

public boolean getHasNext()

### isFirst

public boolean isFirst()

### getFirst

public boolean getFirst()

### isLast

public boolean isLast()

### getLast

public boolean getLast()